require 'chained_validation/rules/begins_with'
require 'chained_validation/rules/is_boolean'
require 'chained_validation/rules/contains'
require 'chained_validation/rules/is_date'
require 'chained_validation/rules/domain'
require 'chained_validation/rules/is_downcase'
require 'chained_validation/rules/is_email'
require 'chained_validation/rules/is_empty'
require 'chained_validation/rules/ends_with'
require 'chained_validation/rules/equals_with'
require 'chained_validation/rules/is_integer'
require 'chained_validation/rules/is_json'
require 'chained_validation/rules/multiple_of'
require 'chained_validation/rules/negative'
require 'chained_validation/rules/positive'
require 'chained_validation/rules/rg'
require 'chained_validation/rules/roman'
require 'chained_validation/rules/is_string'
require 'chained_validation/rules/is_uppercase'

require 'chained_validation/base'
require 'chained_validation/validate'
require 'chained_validation/validation'

module ChainedValidation
  def rule_for(object)
    ChainedValidation::Base.new(object)
  end
end
