module ChainedValidation
  module Rules
    class Contains
      def initialize(params)
        @object = params.fetch(:object)
        @input = params.fetch(:input)
      end

      def perform
        result = @object.to_s.include?(@input)
        ChainedValidation::Validation.new({ contains: { object: @object, input: @input, result: result }})
      end
    end
  end
end
