module ChainedValidation
  module Rules
    class IsBoolean
      def initialize(params)
        @object = params.fetch(:object)
      end

      def perform
        result = @object.is_a?(TrueClass) || @object.is_a?(FalseClass)
        ChainedValidation::Validation.new(is_boolean: { object: @object, result: result })
      end
    end
  end
end
