module ChainedValidation
  module Rules
    class IsDowncase
      def initialize(params)
        @object = params.fetch(:object)
      end

      def perform
        result = /[[:upper:]]/.match(@object).nil?
        ChainedValidation::Validation.new(is_downcase: { object: @object, result: result })
      end
    end
  end
end
