module ChainedValidation
  module Rules
    class IsEmail
      def initialize(params)
        @object = params.fetch(:object)
      end

      def perform
        result = !/\A[\w+\-.]+@[a-z\d\-.]+\.[a-z]+\z/i.match(@object.to_s).nil?
        ChainedValidation::Validation.new(is_email: { object: @object, result: result })
      end
    end
  end
end
