module ChainedValidation
  module Rules
    class IsInteger
      def initialize(params)
        @object = params.fetch(:object)
      end

      def perform
        result = @object.is_a?(Integer)
        ChainedValidation::Validation.new(is_integer: { object: @object, result: result})
      end
    end
  end
end
