module ChainedValidation
  module Rules
    class MultipleOf
      def initialize(params)
        @object = params.fetch(:object)
        @input = params.fetch(:input)
      end

      def perform
        result = @object != 0 ? @input % @object == 0 : zero?
        ChainedValidation::Validation.new(multiple_of: { object: @object, input: @input, result: result })
      end
    end
  end
end
