module ChainedValidation
  module Rules
    class Positive
      def initialize(params)
        @object = params.fetch(:object)
      end

      def perform
        result = @object >= 0
        ChainedValidation::Validation.new(positive: { object: @object, result: result })
      end
    end
  end
end
