module ChainedValidation
  module Rules
    class BeginsWith
      def initialize(params)
        @object = params.fetch(:object)
        @input = params.fetch(:input)
      end

      def perform
        result = @object.match(/(\w+)/)[0] == @input
        ChainedValidation::Validation.new(begins_with: { object: @object, input: @input, result: result })
      end
    end
  end
end
