module ChainedValidation
  module Rules
    class EqualsWith
      def initialize(params)
        @object = params.fetch(:object)
        @input = params.fetch(:input)
      end

      def perform
        result = @object == @input
        ChainedValidation::Validation.new(equals_with: { object: @object, input: @input, result: result })
      end
    end
  end
end
