module ChainedValidation
  module Rules
    class IsEmpty
      def initialize(params)
        @object = params.fetch(:object)
      end

      def perform
        result = @object.empty?
        ChainedValidation::Validation.new(is_empty: { object: @object, result: result })
      end
    end
  end
end
