module ChainedValidation
  module Rules
    class IsString
      def initialize(params)
        @object = params.fetch(:object)
      end

      def perform
        result = @object.is_a?(String)
        ChainedValidation::Validation.new(is_string: { object: @object, result: result })
      end
    end
  end
end
