module ChainedValidation
  module Rules
    class Negative
      def initialize(params)
        @object = params.fetch(:object)
      end

      def perform
        result = @object < 0
        ChainedValidation::Validation.new(negative: { object: @object, result: result })
      end
    end
  end
end
